package com.yanzuoguang.dao.impl;

import com.yanzuoguang.dao.DaoConst;

/**
 * 表结构的基本信息
 * @author 颜佐光
 */
public class TableFieldVo {

    public TableFieldVo() {
        this(DaoConst.ID_FIELD);
    }

    public TableFieldVo(String name) {
        this(name, name);
    }

    public TableFieldVo(String name, String inputName) {
        this(name, inputName, String.class);
    }

    public TableFieldVo(String name, String inputName, Class<?> type) {
        this.name = name;
        this.lName = name.toLowerCase();
        this.inputName = inputName;
        this.inputLName = inputName.toLowerCase();
        this.type = type;
    }

    /**
     * 表字段的原名称
     */
    public String name;

    /**
     * 表子弹的名称小写
     */
    public String lName;

    /**
     * 前台输入参数的名称
     */
    public String inputName;

    /**
     * 前台输入的参数的小写
     */
    public String inputLName;

    /**
     * 实体的参数的类型
     */
    public Class<?> type = String.class;
}
