package com.yanzuoguang.mq.service;


import com.yanzuoguang.mq.vo.MessageVo;

import java.util.List;

/**
 * 发送消息服务
 *
 * @author 颜佐光
 */
public interface MessageService {

    /**
     * 打上批次,并且所有消息延迟一定时间处理，增加处理次数1次
     *
     * @param batchId 批次编号
     * @param size    消费条数
     * @return 批次数据
     */
    List<MessageVo> updateBatch(String batchId, int size);

    /**
     * 发送消息
     *
     * @param req 发送消息
     * @return 发送结果
     */
    String send(MessageVo req, boolean now);

    /**
     * 发送下条消息
     *
     * @param messageVo 需要再次发送的消息
     * @return 发送结果
     */
    String nextSend(MessageVo messageVo);

    /**
     * 消息发送成功
     *
     * @param id 编号
     * @return 成功后返回编号
     */
    String onSuccess(String id);

    /**
     * 消息发送失败
     *
     * @param messageVo 消息处理错误
     * @return 成功后返回编号
     */
    String onError(MessageVo messageVo);
}
